StyleBook (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.StyleBook class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class StyleBook

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Java
                  org.apache.tools.ant.taskdefs.optional.StyleBook

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. since 1.7. This task is considered unsupported by the Ant developers

    public class StyleBook

extends Java

Executes the Apache Stylebook documentation generator. Unlike the commandline version of this tool, all three arguments are required to run stylebook.

Being extended from <Java>, all the parent's attributes and options are available. Do not set any apart from the `classpath` as they are not guaranteed to be there in future.

To do:
  stop extending from Java.

Field Summary
`protected java.io.File` | `m_book` Deprecated.
`protected java.lang.String` | `m_loaderConfig` Deprecated.
`protected java.io.File` | `m_skinDirectory` Deprecated.
`protected java.io.File` | `m_targetDirectory` Deprecated.

Fields inherited from class org.apache.tools.ant.taskdefs.Java
`redirector, redirectorElement`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`StyleBook()` Deprecated. Constructor

Method Summary
`void` | `execute()` Deprecated. call the program
`void` | `setBook(java.io.File book)` Deprecated. Set the book xml file that the documentation generation starts from; required.
`void` | `setLoaderConfig(java.lang.String loaderConfig)` Deprecated. A loader configuration to send to stylebook; optional.
`void` | `setSkinDirectory(java.io.File skinDirectory)` Deprecated. Set the directory that contains the stylebook skin; required.
`void` | `setTargetDirectory(java.io.File targetDirectory)` Deprecated. Set the destination directory where the documentation is generated; required.

Methods inherited from class org.apache.tools.ant.taskdefs.Java
`addAssertions, addConfiguredRedirector, addEnv, addSysproperty, addSyspropertyset, clearArgs, createArg, createBootclasspath, createClasspath, createJvmarg, createPermissions, createWatchdog, executeJava, getCommandLine, getSysProperties, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, maybeSetResultPropertyValue, run, setAppend, setArgs, setClassname, setClasspath, setClasspathRef, setCloneVm, setDir, setError, setErrorProperty, setFailonerror, setFork, setInput, setInputString, setJar, setJvm, setJvmargs, setJVMVersion, setLogError, setMaxmemory, setNewenvironment, setOutput, setOutputproperty, setResultProperty, setSpawn, setTimeout, setupRedirector`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_targetDirectory

    protected java.io.File m_targetDirectory

  Deprecated.

### m_skinDirectory

    protected java.io.File m_skinDirectory

  Deprecated.

### m_loaderConfig

    protected java.lang.String m_loaderConfig

  Deprecated.

### m_book

    protected java.io.File m_book

  Deprecated.

Constructor Detail

### StyleBook

    public StyleBook()

  Deprecated.
  Constructor

Method Detail

### setBook

    public void setBook(java.io.File book)

  Deprecated.
  Set the book xml file that the documentation generation starts from; required.

  Parameters:
    `book` - the source file

### setSkinDirectory

    public void setSkinDirectory(java.io.File skinDirectory)

  Deprecated.
  Set the directory that contains the stylebook skin; required.

  Parameters:
    `skinDirectory` - the location of the stylebook skin

### setTargetDirectory

    public void setTargetDirectory(java.io.File targetDirectory)

  Deprecated.
  Set the destination directory where the documentation is generated; required.

  Parameters:
    `targetDirectory` - the document output directory

### setLoaderConfig

    public void setLoaderConfig(java.lang.String loaderConfig)

  Deprecated.
  A loader configuration to send to stylebook; optional.

  Parameters:
    `loaderConfig` - the configuration to use.

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  call the program

  Overrides:
    `execute` in class `Java`
  Throws:
    `BuildException` - if there is a problem.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD